For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
      • GETGet an end user
      • PATCHUpdate an end user
      • GETGet multiple end users
      • POSTCreate an end user
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
End UsersEnd Users

Get an end user

GET
https://example.ada.support/api/v2/end-users/:end_user_id
GET
/api/v2/end-users/:end_user_id
1import requests
2
3url = "https://example.ada.support/api/v2/end-users/end_user_id"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "end_user_id": "5f7e0e2c1e7c7e000f0f9c3a",
3 "profile": {
4 "first_name": "Ada",
5 "last_name": "Lovelace",
6 "display_name": "Ada Lovelace",
7 "avatar": "https://example.com/avatars/ada.png",
8 "email": "ada.lovelace@ada.cx",
9 "language": "en-US",
10 "metadata": {
11 "example_key1": "example_string_value",
12 "example_key2": true,
13 "example_key3": 123
14 },
15 "system_properties": {
16 "sunshine_user_id": "5f7e0e2c1e7c7e000f0f9c3a"
17 }
18 },
19 "created_at": "2020-09-20T00:00:00+00:00",
20 "updated_at": "2020-09-20T00:00:00+00:00"
21}
Get a specific end user by id
Was this page helpful?
Previous

Update an end user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

end_user_idstringRequiredformat: "id"

The Ada end_user_id

Response

OK
end_user_idstringRead-only

The unique Ada-generated id for the end user

external_idstring or nullRead-only

Caller-supplied identifier that links this end user to your own system (for example a CRM contact ID or a phone number). Unique per AI Agent. Null if not set. Maximum 36 characters; values are case-insensitive. Available for custom channel integrations only (V1).

profileobject
The end user's profile information
created_atstringRead-only
The date and time the end user was created
updated_atstringRead-only
The date and time the end user was updated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error